<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.esri.com/adf/web" prefix="a"%>
<%@ page language="java" import="java.util.Locale" %>

<f:view>
  <html>
    <head>
      <title>Map Zooms</title>
      <script type="text/javascript" language="Javascript">
        //function 
        function sendMapZoomRequest(factor) {
          //get map control
          var map = adf.Controls.maps["map"];
          //get server url
          var url = adf.Utils.getServerUrl(map.formId);
          //contruct request parameters
          var params = "mapZoom=mapZoom&formId=" + map.formId + "&mapId=" + map.id + "&factor=" + factor + "&" + adf.Utils.buildRequestParams(map.formId);
          //send AJAX request. Set callback function to process XML response as EsriControls.processPostBack function and pass xmlHttp object
          var xmlHttp = adf.Utils.sendAjaxRequest(url, params, true, adf.Controls.processPostBack);
        }
      </script>
      
    <link rel="stylesheet" href="css/adf.css" type="text/css"></link>
    </head>
    <body>
      <h:form id="f">
        <!-- context control -->
        <a:context value="#{mapContext}" />
    	<script type="text/javascript" language="javascript" src="js/esri/dojo/dojo.js" djConfig="locale:'<%=Locale.getDefault().toString().replace('_', '-').toLowerCase()%>' "></script>
    	<script type="text/javascript">
      		adfdojo.require("adf.adf");
      		adfdojo.requireLocalization("resource","adf");
    	</script>
        Zoom : <select id="zoomFactor" onchange="sendMapZoomRequest(document.getElementById('zoomFactor').value);">
          <option value="0.2">0.2</option>
          <option value="0.4">0.4</option>
          <option value="0.6">0.6</option>
          <option value="0.8">0.8</option>
          <option value="1.0" selected="true">1.0</option>
          <option value="1.2">1.2</option>
          <option value="1.4">1.4</option>
          <option value="1.6">1.6</option>
          <option value="1.8">1.8</option>
          <option value="2.0">2.0</option>
        </select>
        <br /><br />
        
        <!-- map -->
        <a:map id="map" value="#{mapContext.webMap}" width="400" height="400" />
        <!-- define html select to display zoom factors. On change call Javascript function -->
      </h:form>
    </body>
  </html>
</f:view>